#include <bits/stdc++.h>
using namespace std;
#define int long long

std::vector<int> solve(std::vector<int> A){
    int k=A.size();
    vector<int> ANS(k);
	for(int i=0;i<n;i++){
		ANS[i]=i;
	}
    return ANS;
}

/*int32_t main()
{
    int k;
    cin>>k;
    vector<int> ANS(k);
    for(int i=0;i<k/2-1;i++){
        ANS[i]=i;
    }
    ANS[k/2-1]=k-1;
    for(int i=k/2;i<k;i++){
        ANS[i]=i-1;
    }
    for(auto x:ANS){
        cout<<x<<" ";
    }
}*/
